/* demos.h */

/* Header file for the demos collection of plugins.  Very simple.
 */


#ifndef DEMOS_H
#define DEMOS_H


/* Should be included by all plugin files. */
#include "../plugin.h"


/* PLUGIN STRUCTURE ******************/
/* These are the structures used by the main thread to find the
 * subroutines.
 */

/* MATRIX PLUGIN: */
extern plugin_data_t mat_plugin;

/* FIRE PLUGIN: */
extern plugin_data_t fire_plugin;

/* BLOB PLUGIN: */
extern plugin_data_t blob_plugin;

/* FLASH PLUGIN */	
extern plugin_data_t flash_plugin;

/* TEXT PLUGIN */	
extern plugin_data_t text_plugin;

/* DEBUG PLUGIN */	
extern plugin_data_t debug_plugin;

/* EVENODD PLUGIN */
extern plugin_data_t evenodd_plugin;

/* INTERFERENCE PLUGIN */
extern plugin_data_t interference_plugin;

#endif
